%global shortver 2.0
Summary:             Code Coverage Tool
Name:                emma
Version:             %{shortver}.5312
Release:             1
Epoch:               0
License:             CPL
URL:                 https://sourceforge.net/projects/emma/
Source0:             http://downloads.sourceforge.net/emma/emma-%{version}-src.zip
Source1:             emma-2.0.5312.pom
Source2:             emma_ant-2.0.5312.pom
Source3:             emma-timestamp.sh
Source4:             emma-timestamp2.sh
Patch0:              emma-2.0.5312-dependencies_xml.patch
Patch1:              emma-2.0.5312-build_xml.patch
Patch2:              emma-2.0.5312-java15api.patch
Patch3:              %{name}-eclemma.patch
Patch4:              %{name}-timestamp.patch
Patch5:              %{name}-%{version}-64_bit_fix.patch
Requires:            jaxp_parser_impl
BuildRequires:       ant >= 0:1.6.5 java-devel >= 0:1.6 jpackage-utils >= 0:1.7.5-1jpp.3 bc
BuildRequires:       javapackages-local
BuildArch:           noarch
%description
EMMA is an open-source toolkit for measuring and reporting Java
code coverage. EMMA distinguishes itself from other tools by going
after a unique feature combination: support for large-scale
enterprise software development while keeping individual developer's
work fast and iterative.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
%{summary}.

%prep
%setup -q
cp -p %{SOURCE3} .
cp -p %{SOURCE4} .
rm lib/internal/stamptool.jar
%patch0 -b .orig
%patch1 -b .orig
%patch2 -p1 -b .orig
%patch3 -b .orig
%patch4 -b .orig
%patch5 -b .orig

%build
[ -z "$JAVA_HOME" ] && export JAVA_HOME=%{_jvmdir}/java
ant -Dbuild.compiler=modern build javadoc

%install
%mvn_artifact %{SOURCE1} dist/%{name}.jar
%mvn_artifact %{SOURCE2} dist/%{name}_ant.jar
%mvn_install -J out/javadocs/

%files -f .mfiles
%doc cpl-v10.html
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc
%doc cpl-v10.html

%changelog
* Fri Aug 14 2020 Anan Fu <fuanan3@huawei.com> - %{shortver}.5312-1
- package init
